Download it now!
Bug 133929 - KDE5/QT5 VCL: unreadable (white on light gray) text in Start Center when using Breeze Dark theme
Summary: KDE5/QT5 VCL: unreadable (white on light gray) text in Start Center when usin...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: KDE UI-Theming
  Show dependency treegraph
 
Reported: 2020-06-12 12:35 UTC by Mihkel Tõnnov
Modified: 2020-10-22 08:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Start Center showing white text on light gray bg (282.38 KB, image/png)
2020-06-12 12:35 UTC, Mihkel Tõnnov
Details
Screenshot from Linux with GTK (355.95 KB, image/png)
2020-06-13 19:32 UTC, Thorsten Wagner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2020-06-12 12:35:51 UTC
Created attachment 161920 [details]
Screenshot of Start Center showing white text on light gray bg

With KDE5/QT5 VCL backend, Start Center has unreadable text (white on light gray background) when using Breeze Dark theme. (GTK3 and generic backends are fine.)

See screenshot.

Steps to reproduce:
Start LO with SAL_USE_VCLPLUGIN=kde5 (or qt5), and observe the "sidebar" in Start Center.

Bibisected to this commit: https://cgit.freedesktop.org/libreoffice/core/commit/?id=8d11b953c0a69f4f5eb5ca42dec3812a62d0cd0f - CC'ing its author.
Comment 1 Thorsten Wagner 2020-06-13 19:31:21 UTC
Confirming with build from current master

Startcenter on GTK is not ok too (see screenshot from Linux/GTK).

It is possible to change this, but prior to changing current design of startcenter should be confirmed as desired by UX team: Looking at GTK, dark mode do not seem to be implemented completely (e.g. Sifr icons for dark mode are nearly not visible on gray background). Issues like that could be resolved by a dark left sidebar. In this case white font color is required.
Comment 2 Thorsten Wagner 2020-06-13 19:32:00 UTC
Created attachment 161963 [details]
Screenshot from Linux with GTK
Comment 3 Mihkel Tõnnov 2020-06-13 21:25:48 UTC
Dark left sidebar would be nice with KDE and a dark theme, too.
Comment 4 Heiko Tietze 2020-06-14 10:08:00 UTC
Left sidebar in start center uses a predefined color, which can be changed via expert setting. See also bug 99116 and my approach in https://gerrit.libreoffice.org/c/core/+/89827 (don't remember but obviously I tried to solve more than just the color; maybe this

    Color aColor = maFillColor;
    aColor.Merge(maHighlightColor, 0xE0);
    mpItemAttrs->aFillColor = aColor.getBColor();

in ThumbnailView::ApplySettings() is enough.

If we use the system themed color for the sidebar this issue with bright font is invalid.
Comment 5 Jan-Marek Glogowski 2020-10-21 15:05:08 UTC
This is probably fixed by the patches for either bug 136555 or bug 134708, which should be available in 7.0.3 or already in a daily 7.1 build.
Comment 6 Heiko Tietze 2020-10-22 08:41:17 UTC
Yes, it is.